%define ver      0.8.8
%define rel      1

Summary: An xterm replacement for Enlightenment users.
Name: Eterm 
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/X
Source0: ftp://ftp.enlightenment.org/pub/Eterm/Eterm-%{ver}.tar.gz
Source1: ftp://ftp.enlightenment.org/pub/Eterm/Eterm-backgrounds.tar.gz
Patch0: Eterm-utmp.patch
URL: http://www.eterm.org/
BuildRoot: /var/tmp/Eterm-root
Requires: imlib

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the philosophy
of Enlightenment. If you install Eterm, you'll also need to have the Imlib
library installed.

%prep
%setup -q -n Eterm-%{ver}
%patch0 -p1 -b .mike

%build
./configure
make CLFAGS="RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  mv ./usr/bin/Eterm ./usr/bin/Eterm-%{ver}
  ln -sf Eterm-%{ver} ./usr/bin/Eterm
  chmod +x ./usr/lib/lib*.so.*.*
  cd ./usr/lib/Eterm
  tar xzf %{SOURCE1}
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/Eterm
/usr/bin/Eterm-0.8.8
/usr/bin/Esetroot
/usr/lib/lib*
/usr/man/man1/Eterm.1
%dir /usr/share/Eterm
/usr/share/Eterm/themes/*
/usr/share/Eterm/pix/*

%doc doc/Eterm.help doc/Eterm.ref doc/Eterm.tcap doc/Eterm.ti doc/FAQ.html
%doc doc/colortest.sh doc/menu_cmd
%doc COPYING CVS-README ReleaseNotes

%changelog
* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- update to 0.8.8

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.7.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built eterm
